v2.00.4     2016-02-05
	    MinGW 環境での binmode 呼び出し手順前後修正
	    UTF-32 のカノニカル名誤記訂正。MSYS1 と MSYS2 の挙動相違が掴めき
	    れていないので、MSYS 時の動的ロードを一旦無効化する。
v2.00.3     2016-01-28
	    LWL 関連の初期化漏れ修正, Windows binmode の呼び出しミス修正
	    nkf 互換モードの UTF-32 出力不正修正。UTF-32/16 の cname 修正
	    ruby2.3 サポート。
v2.00.2     2015-07-10
	    hard-inquiry, softinquiry でファイル間で前のファイルの状態リセット
	    が抜けているのを修正 (inquiry, guess は問題なし)。
	    mingw での動作修正。lineend-thru がうまく動いていないのを修正
	    LWL関連のパラメータ渡し、MIMEの吐き出し修正。
v2.00.1	    2015-06-18
	    winsami/iscii のテーブル定義修正。python3 で未サポートの man 記載
	    削除
v2.00	    2015-05-23
	    b2 と同様。体裁のみ修正。Unicode8.0予定の Fitzpatrick modifier
	    を捨てるコードを追加。sourceforge.jp を osdn に変更。その他細かい
	    修正
v2.00b2     2014-03-25
	    OS X Yosemite, NetBSD 6.1, MinGW でコンパイルが通らない件修正
	    コード検出で変な方向に倒れる件一部修正
	    python 3.0 の native mode を見送りにする。--nkf-help 追加。
v2,00b1     2014-01-12
	    python 2.7 のコンパイル問題修正、libtcl周りの cygwin 追従
	    debian/copyright の中身を copyright から引き写し。他 lintian bug
	    fix
v2.00b0     2014-12-31
	    SPACE CONVERT 無効、use-compat 有効を既定に変更。利用頻度の低いオ
            プションを削除。code 整理。入管外字サポート、ARIB 定義 (未サポート)
            Python 3.x の変換周り見直し。
v1.99.8     2014-01-22
            ruby 2.1 対応修正。
v1.99.7     2013-12-24
	    ruby 2.1 サポート。early_mime_out 指定時に MIME encode が不正な
	    結果を吐くバグを仮対策。nkf の --no-cp932 をサポート。
	    terminal sequence 吐き出しを微調整。UnicodeData を 6.3 に更新
	    nkf 互換モードで --cp932 が動かない件を修正
v1.99.6     2013-07-26
	    Ruby extension での TYPO 修正。Cygwin 環境で Python 3 の ABI フラ
	    グがうまく取れず configure が落ちる件の対処。
v1.99.5     2013-06-07
	    UTF-32 の入力のサポートを追加。x-0213 かな分解見直し。x-0213 マッ
	    プ一部修正。nkf 互換での MIME エンコード時にファイル終端に改行文字
	    を補う処理追加。UTF-16 のコード判定で改行文字を見る。
v1.99.4     2013-04-20
	    --in-place で suffix 指定をするとクラッシュするバグを修正。1.99.3
	    のデバッグ消し残りを修正。BOM のない UTF-16 処理漏れを修正。
	    既定の改行文字を環境から取り込むよう修正。半角のウに濁点を全角に
	    変換する処理の誤りを修正。
v1.99.3	    2013-04-07
	    1.99.2 修正で SWIG 側に定義が漏れていた件を修正 (BUG #31131)
	    ruby 2.0 時に自動判定が不足していて --enable-ruby20 の指定必須と
	    なっていた件を修正。--cp932 で "iso-2022-jp-ms" を吐かないよう修正
v1.99.2	    2013-03-03
	    MinGW 対応修正。tcl ヘッダ関係の設定とり込み修正。
	    Cygwin 環境で ruby のヘッダ取り込みがまずいのを修正＋2.0.0 対応
	    入力サイドの skfFILE の定義を誤って出力に流しているため型が合って
	    いないバグを修正。
v1.99.1	    2013-01-14
	    BIG5_UAO テーブル初期化誤り修 正(BUG #30456)
v1.99	    2012-03-01
	    Unicode 6.1 対応。ドキュメント修正ほか、細かいバグ修正
v1.99b0     2012-01-25
	    ruby1.9.x のコンパイルが通るようにする。その過程で壊れた他の LWL
	    プラグイン修正。
v1.99a1	    2011-03-22
	    Alpha release: Unicode 6.0 サポート。MIME 中に空白やアドレスっぽい
	    ものが来たときの挙動を nkf に寄せる。nkf 互換 rot モード追加。
v1.97.2     2010-08-06
	    B-Right/V および言語出力指定を行った場合クラッシュするのを修正
	    JEF/Transparent 出力の指定だけができたのを弾くように変更。
v1.97.1	    2010-03-31
	    -i, -o を nkf 互換モードでの動作有効化
	    LWL 機能拡張で oconv バッファの吐き出し漏れを修正
	    LWL 機能拡張で MIME-B 系末に改行を挟んでいる処理を無効化
	    overwrite 時に書き換えた umask を処理終了後元に戻す
v1.97.0	    2010-02-07	蝋梅バージョン
	    1.97 リリース版。
v1.97b0b    2010-01-17
	    バグ修正。
v1.97a0f    2009-12-20
	    overwrite/in-place 系の修正を反映。MIME encode 終了前に終了処理を
	    読んでいる箇所修正。katakana/hiragana 入れ替え系を追加修正。
v1.97a0e    2009-12-13
	    1.96.4 までの修正を反映。MIME encode サポート。nkf 互換性改善
v1.96.0     2008-12-25
	    Unicode decomposition 追加。細かい修正。
v1.95.4	    2007-12-09
	    Ubuntu でのパッケージングミス修正。cygwin で manpath の判定を誤る
	    件を修正
v1.95.3	    2007-11-08
	    --reset で初期化されていない変数を初期化する。oconv で境界を誤るバ
	    グ修正、一行しかない場合改行コード判定が出来ないバグ修正、
	    ruby/perl 機能拡張に inputcode() 関数を追加
v1.95.2	    2007-08-09
	    FOLD_SUPPORT を切ったときにコンパイルできないのを修正 (p1 ci漏れ)
	    Sjis-x0213 の G3 を差し替えたときにチェック条件を誤っている件を修正
v1.95.1	    2007-07-28
	    man ページミス、debian packaging ミス、cp5022x/51932 時のテーブル
	    境界チェックミスを修正。
v1.95	    2007-03-14
	    debian/changelog を rpm 生成時に doc directory に格納するようにする
	    未使用部の修正追加。MIME などの encode 中に --set-g1 などが有効にな
	    らないよう抑止論理を追加。cname の統一化/TYPO 修正。異常終了時の終
	    了値を '1' に変更。エラーメッセージを一部修正。man ほか細かい修正
v1.95b1	    2007-02-25
	    Beta 1. endian_protect 時に判定論理で使った Endian をクリアする変更
	    コードセット順をソート。BRF など幾つかコードセット追加。codeset と 
	    charset の Alias を追加。多少速度対策。cp813,cp916 割り当て誤り修正
	    EBCDIC 系の CR は検出できないので、in_keis 検出時点で自動セットする
	    in_kana で無意味なテストをしていたのを削除。debug, estab_reinit を
	    パック (速度対策になればいいなぁ。逆効果かも)
	    rpm v4.3 以降の仕様変更で落ちるのを対処。debhelper 互換性レベル 5 
	    に対応。UTF-8 rfc コード仕様違反を弾くよう変更
v1.95b0	    2007-02-11
	    Beta 0. 保守リリース版。内部整理および UHC ほかサポート
v1.94	    2006-09-23
	    v1.94 リリース版。報告修正を可能な限りマージ
v1.94b2	    2006-09-09
	    Beta 3. 一般最終テスト版
v1.94b1	    2006-08-06
	    Beta 2. 報告バグの修正。copyright を整理。
v1.94b0	    2006-07-12
	    pre-Beta v1.93p10 までのバグ修正マージ。コード整理。
v1.94a1	    2005-07-31
	    v1.93p2 までのバグ修正マージ。bg5cc 機能を追加。コード整理。
v1.93	    2005-05-11
	    1.93 リリース版。iso-8859-x 出力、nkf 互換性向上、fold 関係の修正
v1.93b2a    2005-02-22
	    rc1 版。細かい問題を修正。
v1.93b0a    2004-12-24 ベータリリース
	    sourceforge.jp でのベータ版。b1a と同じ。
v1.92	    2004-06-27
	    ドキュメント関連の見直しと、オプションの suppress と disable が混沌
	    と使われていたのを disable に統一。ここで一旦リリース。
v1.92b2	    2004-06-20
	    テーブルロードのエラーでメモリを二重解放しているバグを修正。Debian
	    パッケージングができない問題修正。エンコード関連の fix。Copyright 
	    修正。RFC2231 デコード追加。他細かい fix。
v1.92b1     2004-05-26
	    エラー検出と表示関係の再整理。typo 修正。出力コードセットのローディ
	    ングの未修整部を fix。
v1.92b0     2004-04-29 ベータリリース
v1.92a6     2004-03-19 春の雪バージョン
	    テスト版その二
v1.92a5     2003-12-27 alpha
	    Alpha リリース。テスト版そのいち。
v1.92a4     2003-12-07 alpha 準備バージョン
	    韓国語、中国語出力回りデバッグ用。
v1.92a3	    2003-11-02 だめだめぽバージョン
	    新機能テスト版そのに - JIS X-0213 回りデバッグ用
v1.92a2	    2003-10-19 気怠い午後バージョン
	    新機能テスト版そのいち
v1.92a1     2003-09-21
	    出力切替えサポート版。外部出力テーブル読み出しは未。
v1.92a0     2002-11-17
	    JIS X-0213-2, KEIS, JEF を外部テーブルへ移動。BIG5 ほかのサポート
	    準備。ACE サポートの下準備でデコーダを切り出す。JIS X-0213 合成文字
	    を吐けるようにした。
v1.91	    2002-10-27
	    man の誤記訂正。一部の Dynamic Load 対象コードセットの定義がされて
	    いないのを修正。b4 のカナ修正不良を手直し。ほか、全面見直しと不要
	    コード削除。
v1.91b4     2002-10-14
	    debug オプションパース修正。!FAST_GETC の入力修正チョンボ修正。
	    コード整理と、不要論理削除。--reset 時に ucode_undef を 0 に誤初期
	    化しているのを修正。jis78 の周りを修正。-i オプションの設定ミスを
	    修正。テーブル読み込みを壊した件の再修正。かなまわり修正。
	    ほか細かいバグ修正。
v1.91b3	    2002-09-27
	    MIME 周り全面見直し。Debian パッケージにしたときにテーブルディレ
	    クトリの位置を誤るのを修正。コード整理と lint/lintian 問題潰し。
	    ほか細かいバグ修正。
v1.91b2     2002-08-26
	    テスト版。KEIS83 テーブル再修正。MIME 時のコードセットプリセット条
	    件見直し、ほか主に MIME 周りのバグ修正
v1.91b1	    2002-08-17
	    KEIS83 テーブル修正。KEIS83 時に use-ms-compat が効かないのを修正。
v1.91b0	    2002-07-07
	    PERCENT_SANITIZE を標準とし、条件判定削除。JEF を man 上公開。
	    html-sanitize の条件を反転させる。table をサーチするディレクトリ
	    指定を誤っているのを修正。Macintosh 外字関連修正。異体字セレクタ
	    を出力で握りつぶす処理追加。
v1.91a9	    2002-06-16
	    html/tex 変換時、制御文字をエスケープするよう修正。JEF のコード表
	    修正。KEIS 時の改行文字を 0x15 標準に変更。X-0213 テーブル修正。
	    MIME デコード指定時に文字を EUC にセットする。
v1.91a8	    2002-06-01
	    MIME から抜けるときのリセット抜け修正。JEF 周り修正。Unicode 濁点
	    関連修正。コード判定論理の曖昧ケースの細かい調整。
v1.91a7	    2002-05-18
	    lint 関連指摘問題修正。skf.c で #ifdef の前に空白が入っているバグ
	    修正。コード判定論理の曖昧ケースの細かい調整。X-0212 変換バグ修正。
	    unbuf_f が効かない件修正。convert-html のバグ修正。set 系バグ修正。
	    add-renew と add-annon の分離。man を現状にあわせ更新。nkf 互換機能
	    として、行末文字変換機能を追加。ISO-8859-11 の定義を追加 (a.k.a.
	    TIS-620)。SJIS 時の X-0213 などが正しく動くよう修正。ほか細かい見
	    直し。
v1.91a6	    2002-05-06
	    コード判定論理見直し。コード関係の状態がファイル間で持ち越されてい
	    るバグ修正。X-0213 テーブルミス修正。UTF-8 encoding が壊れているの
	    を修正。UTF-8 BOM 処理修正。MIME 中の空白文字の処理変更。他、手直し
v1.91a5	    2002-05-04
	    コード判定論理見直し。inquiry と debug のレーシングバグ修正。euc
	    かなが動かなくなっているのを修正。オプション関連、MIME Q encode,
	    コードセット周り、EUC X-0213 他、多数のバグ修正。超漢字仮サポート
v1.91a4	    2002-04-21
	    Unicode 3.2 対応。丸付きかなテーブル変更。UTF-16 対応残コーディング
	    table に magic 追加。UCS2 に制限する機能、言語タグ出力機能追加。
	    テーブルフォーマット記載追加。UTF-8 の BOM を訂正。MIME UTF8 追加。
	    JIS 78 出力機能再追加。e_in 内で複数バイト集合を Single shift で呼
	    んだときこけるバグを修正。X-0212関連のエンバグ類とキリル系の 1.90
	    からのバグ修正。文字罫線関連のエンバグ修正。IBM 外字再追加。
	    SJIS が壊れていたのを修正。他、細かいバグ修正。
v1.91a3	    2002-04-06
	    出力側の JEF の仮サポートほか JEF 周りの修正 (まだ直っていない)。
	    外字処理 MS/CDE 互換モード追加。MIME デコードサポート。動的ローデ
	    ィングのためのテーブル追加。option デコード不正の対策。
	    コード判定論理見直し。ほか細かいバグ修正。
v1.91a2	    2002-03-21
	    X-0213 二面のシフト符号化のテーブル修正。UTF-16 のエンディアン処理
	    が相互矛盾しているのを修正。オプション処理が壊れているのを修正。
	    外部テーブル動的ローディング機構導入。IBM EBCDIC コード表の追加と
	    JEF の入力仮サポート、および KEIS 関連のバグ修正。ほか手直し。
v1.91a1	    2002-03-04
	    言語情報を扱うための枠組づくり。コード整理。skf-1.90pl6 までの
	    known bug 反映。エンコード処理を新設して、hex, rot などを
	    そこに集約。html_convert で、整数出力追加、0x25xx のコード表追加他
	    大幅な手直し。tex_convert/keis_convert も同様の大幅な手直し。
	    earthian@tama.or.jp さんのところから x-0213 のコード表を貰ってきて
	    x-0213 サポートを追加。cp437, Macintosh Roman ほか非 ISO
	    系のコードサポートをいくつか追加。Unicode 3.1.1 対応の小手直し。
	    Unic*de 系の入力処理が decode_hook で閉じないため、分割。
v1.90	    2001-11-26
	    KEIS 処理でシフトを間違っている件を修正。Unic*de ozone 系で fflush
	    を追加。コメントアウト部の削除など、細かい整形。UTF-8 で ESC 処理
	    を呼んでいるが、ISO-2022 準拠ではないので削除。HEX 処理中、KEIS中、
	    UTF-8 など数ヶ所の型ミス (int == skf_ucode を仮定) を修正。発音記号
	    エリアで、genoconv 中に !use_x0212 時全部未定義に落ちているのを修正
	    esc_process 中の UCS-4 処理の残骸を削除。UTF-7/8 で全角間隔がそのま
	    ま出力されているのを修正。X0208 を G1,2,3 に設定できるようにした。
	    X0212 を G3 に設定できない typo 修正。skf.1 の誤記訂正。
v1.90b6	    2001-11-16
	    Trademark 再整理。使っていない変数削除。かな音便圧縮のテーブル引き
	    誤り修正。 UCS2 での音便圧縮追加→削除。SJIS 時に X-0201 かなが正
	    しく変換できないバグ修正。ISO-8859-1 出力方法を修正。
v1.90b5	    2001-11-09
	    no-utf7 の '-' が underscore になっていたバグ修正。KOI-8-R が SS2,
	    SS3 位置を使ってしまっているための対処。キリル文字を html 定義。
	    x9010-e13 テーブル設定を忘れている件の修正。ms 時のシフト b3 時の
	    対策抜けを修正。esc_process.c 中の o_ascii_conv を ox_ascii_conv に
	    変更(コードサイズ対策)。--suppress-swedish 関連の残骸削除。html 変
	    換時に勢い余って &, <, > を変換してしまっているが、context 依存な
	    のでここで修正するのは不適当につき削除。UCS2 0x2473 他の変換間違修
	    正。他の符号系を呼び出すと中途半端な状態になるバグを修正。SJIS 時の
	    他の符号系呼び出しをガード(戻り損ねると落ちるため)。EBCDIK 変換小文
	    字追加といくつかチョンボ修正。ks_in を同じく修正。
v1.90b4     2001-11-02
	    型不整合洗いだし。デバッグ出力の整形。--suppress-jis78 時に jis90
	    変換抑止を抑止できていない件を修正。compat 時に utf7 が正しく変換
	    されない件の修正。use-iso8859-1 が利かない件を修正。
v1.90b3	    2001-10-31
	    --use-iso8859-1 を man に登録。コードサイズ対策で SKFEUCOUT 類をマ
	    クロから関数に変更。genoconv 中から oconv に戻っているところを手直
	    し。細かいマッピングをいくつか修正。Yen マッピングで X-0201 出力時
	    はそのまま半角で出すように戻した。∽を常時 223d に変更。utf-8 出力
	    不正のバグ修正。mscode 時、G2,G3 シフトをガードしていないためクラ
	    ッシュするバグ対策。STINGY を config.h の方に移動 (使うとは思えん)
v1.90b2	    2001-10-28 (大量の修正で、βの修正とは思えん)
	    使ってないコードを削除。x0201-kana の 0xa0 を nbsp に修正(気が変
	    わった :-) ベースとなる ISO-2022 を 1986 年度版から 1994 年度版に
	    変更し、それに伴い 94 文字中間バイト呼び出しサポート追加。よく考
	    えれば b0 のハングルの修正は変なので、ハングル専用処理と、0x3400
	    周りの処理を書き換え。Unic*de 時の mscompat で、∽を 223d に変更。
	    koi8 table 設定が抜けているのを修正。未定義のコード時に、何もしな
	    いのではなく一旦 ascii に戻すよう変更。skf では未定義だが、
	    iso-2022 な esc シーケンスを出力に抜くのを jis, euc 時のみに限定。
	    JIS X-0221 から戻ろうとして転げ回っているのを止めにした。Unic*de
	    から JIS-X0201 に出力する際に、ASCII に切り変えてマッピング問題を
	    回避するよう修正。JIS 時 ESC が出力に抜けていない(勘違いか)を修正。
	    ascii_lend コーディングを削除 (生きにするコードがないのと、何のた
	    めにつけたか不明)。いくつか Unic*de からの戻り値を修正。テーブルで
	    下駄になっているところを --use-replace-char が利くように 0x0000 に
	    変更し、そのためのサポート修正追加。
v1.90b1	    2001-10-21
	    コーディングされていないオプションをソースと man から削除。
	    --suppress-jis90 が逆になっているのを修正 (b0 のエンバグ)。
	    --reset で初期化されていないパラメータがあったのを修正。
	    iso-8859-6,8 が正しく変換されない件の修正。補助漢字テーブル修正。
	    README.skf 再追加。
v1.90b0     2001-10-19
	    iso8859 周りの集中対策。オプション見直し。ハングルを Unic*de 2.0
	    に修正。パラメータ設定を config.h に集める。hex 修正。html/sgml
	    ポイント追加。error.c で使っていないものをコメントアウト。jis90
	    文字交換再追加。
v1.90a24    2001-10-08
	    Unic*de 判定をさせると preconvert 以降の処理がおかしくなる件の修
	    正。Unic*de 30xx CJK/Kana で変なことをやっていた件を数ヶ所修正。
	    man を多少修正。iso-8859 の diacritics を 03xx から 02xx に移動。
	    iso-8859-8,9, ecma94-cyrillic 追加。README.skf 削除。
v1.90a23    2001-09-24
	    ms-compat の再コーディング。Unic*de plane 0x24xx が出力されない
	    のを修正。Unic*de 入力時 0x80-0x9f の処理がおかしいのを修正。
	    「∽」の変換がおかしいのを修正。単価記号を互換プレーン側に移動。
v1.90a22    2001-09-21
	    single-byte 処理変更(前が酷すぎ)と、JIS X-0201 かな関係の手直し。
	    bogus_out, out_area_out を削除。format bug 検出で数字を escape
	    (あり得ないはずだが、一応ガード)。iso-2022-jp-2 にあわせ G2 の既
	    定値を変更。KEIS 未サポート部を表示するエラーメッセージ追加。
	    Micr*soft code 時に右半面の入れ替えを抑止する処理追加。
v1.90a21    2001-09-14
	    hex サポート追加。G0 に ascii 以外の文字集合を張ったときに不正にな
	    る (JIS X0201 だと発覚しない) バグ修正。ACE 関連をコメント化。殺し
	    てある部分を部分的に削除。Zapf Dingbats の処理を fix。UTF-16 が来
	    たときにエラーとするようにした。hk_enbl が動作しない件修正。
v1.90a20    2001-09-09
	    開けないファイルがあったときにも続行するよう仕様変更。X-0208 間隔の
	    扱いを変更。chart-disable が Unic*de-replとダブっているミスを修正。
	    inquiry 絡みで未判定キューが一杯になった後の処理を誤る件を修正。
v1.90a19    2001-08-24
	    ASCII しか現れていないときに判定で ISO-2022-JP と『答える』のを修正
	    (内部処理的には EUC に変更(∵ASCII 化))。エラーロカール修正。utf7
	    関連でコード検出のあきらめが早すぎる件を多少手直し。inquiry と通常
	    時のコード判定結果が違う件を通常時に合わせる。
v1.90a18    2001-08-06
	    Unic*de 互換プレーンの全角を半角に変換する際にこけているのを修正。
	    UTF-7 判定で + 文字を齧ってしまうバグ修正。βに向けて見直し。
v1.90a17:   2001-07-17
	    typo 修正。error 処理で空の default 文があったのを修正。USE_LOCALE
	    の外で gettext 関連処理を呼んでいたチョンボを修正。94/96 文字系の
	    処理境界関連のミス修正。エラーメッセージの日本語化。man の誤記訂正
v1.90a16:   2001-04-26
	    error 関連一部整理。破断線処理が変なのを修正。キリル文字とチャート
	    のテーブル間違いを修正。
v1.90a15:   2001-04-21
	    iso-8859 table 未定義時に落ちるバグ、single shift での勘違いを対策
v1.90a12-14:   2001-04-18
	    補助漢字関連、カナ関連、UTF-7/UTF-8 その他の多数のバグ修正
v1.90a11:   v1.90a10 までの fix。G2/G3/ISO8859 の esc_process サポート追加。
v1.90a10:   2001-04-03
	    Unic*de 2.0 準拠から Unic*de 3.1 準拠に修正(但し、X-0213 は知るか
	    モード)。コードポイント追加。iso8859-1 既定モードコーディング(な
	    んか美しくないので修正するかも？)。
v1.90a9:    2001-03-21
	    convert-html 関連のデバッグのみ。
v1.90a8:    2001-03-20
	    endian marker を 1.30 から変更した際の変更抜け fix。--convert-html
	    convert-tex 追加
v1.90a7:    2001-03-16
	    inquiry 時に出力にある条件で文字が抜ける件修正。inquiry で複数
	    ファイルを食わせたときに estab_reinit を掛けないのは意味がない
	    ので、修正。--show-filename 追加
v1.90a6:    2001-02-19
	    man page の誤記修正。iso646 ほかのテーブル追加。lintian free 化。
v1.90a5:    2001-02-03
	    コンパイル＆dpkg-buildpackage が通るように修正。エラー関係の続き
v1.90a4:    2001-01-14
	    全面書き直し。中間コードを Unic*de に変更。エラーメッセージ po
	    化の下準備。1.31pl4 までのバグフィックスを取り入れ。

v1.30	    1999-11-12
	    IBM SJIS のテーブル修正。とりあえずリリース
v1.30b19:   1999-11-11
	    man ページ、表記上の問題を見なおし。-OJ オプション追加。EBCDIK
	    変換の誤り修正。
v1.30b18:   1999-10-31
            細かい Latin-1 関係の変換修正。
v1.30b17:   1999-10-31
	    エラー処理総見なおし
v1.30b16:   1999-10-23
	    Manual 修正。オプション指定で -zZ が抜けているチョンボを修正。
	    UTF-8 関係の救いがたいバグ多数修正。型チェック。
v1.30b15:   1999-10-21
	    b14 の Unic*de 処理の壊れ、NEC 漢字変換処理を修正。ほかいくつか
	    Windows の Unic*de デーブルがらみの個所修正
v1.30b14:   1999-10-20
	    UTF-8 処理追加。バグフィックスほか収束作業。UCS2 の時にエンディ
	    アンを操作する機能を追加
v1.30b13:   1999-09-09
	    例外処理に関する細かいバグ修正。1.27pl4までのバグ修正マージ
v1.30b12:   1999-08-02
	    KEIS83 リゲチャ部処理追加。リセット抜けの修正。X-0221 シフトを
	    オプション指定時に行なうよう修正(∵このままだと -Q 時に X-0221
	    が処理できない)。b10 の修正不良の手直しほか、種々の見直し。日本
	    語コード (skf.1j) を EUC に変更。開いているファイル名を退避し、
	    読めなかったときにそのファイル名を表示するようにした。ibm/nec
	    固有文字処理追加。
v1.30b10:   1999-06-27
	    KEIS83 0x80 部の処理修正。skf.txt を削除し、skf.1j を追加。テー
	    ブルの型の見直し。
v1.30b0-9:  1999-04-18
	    開けないファイルがあるとループする情けないバグ修正。skf.1 追加
	    EBCDIK/KEIS83 入力処理追加。sjis の X-0212処理で抜けそこなって
	    いた個所修正。comment の typo 見直し。X-0208 改定案の事前仮サポ
	    ート。JIS-X0221/Unic*de 仮サポート。ライセンス条項修正とそれに
	    伴う部分的な書き直し。コメント追加。ブランチを折り曲げたので，
	    skf-1.27pl3,pl4 削除（なかったことにする）1.27pl2 の known バグ
	    修正

v1.27pl2:   1998-02-17
	    2Byte Code をカットする -OX Option 追加。
v1.27pl1:   1997-11-18
	    KUNIMOTO オプション指定の外で kuni_opt を使っていたバグ修正
	    (i.e. -DKUNIMOTO を外すとコンパイルできない）
v1.27:      1995-11-30
	    euc と Micr*soft-jis の判定境界を誤っていたのを修正
v1.26pl3:   1995-08-28
            ESC 関連状態遷移見直し
v1.26pl2:   1995-08-24
            他言語呼び出しのシーケンスを不透過にするスイッチを追加。MS-JIS
	    時に入力コード設定が動作しないバグを対策。MS-JIS 時のキュー吐
            き出し処理でコードが壊れるバグ対策。
v1.26pl1:   1995-06-02
	    X-0201かなを全角に変換する際、読点をカンマに変換していたバグを
	    修正。
v1.26:	    1995-05-16
	    端末制御コードの ESC によって入力が JIS と誤判定される不具合を
	    修正(これで部分的にコードが壊れる）。
v1.25pl5:   1995-03-10(積極的には公開しない版)
            シングルシフトとロッキングシフト競合時のモード遷移を ISO2022
            にあわせる修正。Single shift 含みの JIS8 を処理するため、j_in
            を復活。skf.doc の漢字コード修正＋手直し。
v1.25pl4:   1994-12-13
            v1.25pl2 で導入した in_depth のリセット抜け ;;^^)修正
v1.25pl3:   1994-12-13
            SI/SO 絡みのシーケンス壊れのリカバリ処理見直し: pl2対策不十分
            ESC 絡みのシーケンス壊れのリカバリ処理見直し。
v1.25pl1:   1994-12-07
	    decrypting 時に一部の文字が j_iconvの未定義コード処理によって
	    壊れるバグの修正。
v1.25:	    1994-11-22
	    -u option 時の漢字判定能力の強化。多言語サポートへの試行
	    EUC時に ISO-2022 と SVR4 MNLS 処理の両方を扱えるように修正
	    EOF 時に ESC sequence の破片を出力する処理を削除。j_in 削除
v1.24pl1:   1994-09-08
	    Ms-jis 出力時に補助漢字を入力した場合ループするバグを修正。
v1.24:      1994-09-02
	    全面書き直し。code 判定処理見直し。nop 機能削除。
	    -u オプション性能対策。j_in8 処理削除。
	    旧JIS から新JISへの逆変換追加。
	    x-0212 時誤って更新シーケンスを発行していたバグの修正
	    x-0212 && !x212_enbl 時誤ったコードを吐くバグの修正
	    ss2 時の誤コード処理の見直しと、ss2+EOF のケースでEOFが呼
	    出元に帰らないバグの修正。
	    single shiftとlocking shift の優先順位誤り修正
v1.23pl2:   1994-08-24
	    kunimoto option 時に標準入力からの EOF が１つ消えるバグの修正
	    v1.23 で作り込んだ enque まわりのバグ修正
	    file 境界でのシフト状態の過剰リセットの修正
	    j_oconv1 にかな関係異常処理の対処
v1.23:	    1994-07-13(非公開版)
	    stripinvis mode 追加
	    4 octet code 時の reset 抜け修正
	    code 未判定時に EOF が透過して出力に抜けるバグの修正
v1.21pl5:   1994-07-12(非公開版)
	    -u オプション設定時にループするバグを修正。
v1.21pl4:   1994-07-12
	    国本パッチの正規版への採用。デバッグ出力手直し。
v1.21pl3:   1994-06-09(非公開版)
            通産省外字の華氏記号の変換を'°F' から'degF'に変更。
            ファイル末尾の漢字シフトリセットぬけを修正
            ファイル末尾の EOF が透過して出力に抜けるバグの修正。
            エラーリカバリ時、改行文字をそのまま通すようにした。
            通産省外字不透過モードを追加。
v1.21pl1:   1994-05-27
            MS-jis 出力時に補助漢字を入力した場合ループするバグを修正。
            補助漢字不透過モードの追加。
            補助漢字ロッキングシフトリセット関係のバグを修正。
v1.21       1994-05-23
            v1.21 のリリース版。複数入力ファイルサポート。太田＠リコーさんの
	    バッファーサイズ増加パッチ相当を適用。2050 サポートの削除他、多
	    数のバグ対策

v1.20	    1994-01-05
	    コード判定ロジック全面作り直し。変換不能文字の出力を■から〓に
	    変更。

v1.17b1	    1992-11
	    escシーケンス吐き出しロジック内でループするバグの再対策
v1.17	    1991-09-21
	    システム研内配布バージョン。環境変数機能などをコンパイル時の
	    オプションによって選択可能とした。

v1.16b      1991-09-17
            EUC での補助漢字、X-0201 かなサポート。
v1.16	    1991-09-10
	    (日向)による-u オプション時の性能対策

v1.15	    1990-09-25
	    jis 補助漢字サポート。環境変数 SKFENV サポート追加。

v1.14	    1990-08-24
	    端末制御 ESCシーケンスを透過にする修正。

v1.13c	    1990-07-20
	    (日向)による MS-JIS と JIS の混在ファイル処理機能の追加

v1.12	    1990-06-05	    Wordpal 端末向け文字コード修正機能追加。

v1.10	    1990-05-28
	    si/so による x-0201 かな部の処理追加。

v1.02	    1990-05-22
	    2050 の外字を■に変換する処理の追加。

v1.00	    1990-05-09
	    nkf に x-0201 かな処理を追加して skf という名称とする。
	    MS-JIS のx-0201かなを x-0208 かなに変換する機能をサポート。

$Id: CHANGES_ja.txt,v 1.61 2016/02/07 14:28:02 seiji Exp seiji $

